package models

import (
	"time"
)

type HostInfo struct {
	ID         int       `xorm:"pk autoincr"`
	IP         string    `xorm:"text unique" json:"ip"`
	RawWhois   string    `xorm:"text" json:"raw_whois"`
	ReverseDNS string    `xorm:"text" json:"reverse_dns"`
	City       string    `xorm:"text" json:"city"`
	Country    string    `xorm:"text" json:"country"`
	Created    time.Time `xorm:"created notnull"`
	Updated    time.Time `xorm:"updated notnull"`
}

type ScanResult struct {
	Protocol    string `json:"proto"`
	PortID      int    `json:"port_id"`
	State       string `json:"state"`
	ServiceName string `json:"service"`
}

type ASN struct {
	ID   int    `json:"id"`
	Name string `json:"name"`
}
